2021-02-24 19:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000310Frama-CKernelpublic2014-02-12 16:56
Reporterdoligez 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Beryllium-20090902 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000310: Be careful when activating warnings.
Descriptionshared/Makefile.common contains the following line:

  FLAGS = -w Ael -warn-error A $(OCAML_ANNOT_OPTION) $(OPTIM)

Don't do that, it breaks your build every time a new warning is added to OCaml,
even if that warning is inactive by default. What you should do instead:

FLAGS = -w Z -warn-error A $(OCAML_ANNOT_OPTION) $(OPTIM)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-02 15:36 doligez New Issue
2009-11-02 15:44 signoles Status new => assigned
2009-11-02 15:44 signoles Assigned To => signoles
2009-11-02 16:25 svn
2009-11-02 16:25 svn Status assigned => resolved
2009-11-02 16:25 svn Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron
2013-12-19 01:13 signoles Source_changeset_attached => framac master 9aeb236a
2013-12-19 01:14 Source_changeset_attached => framac master 35f176ba
2014-02-12 16:55 signoles Source_changeset_attached => framac stable/neon 9aeb236a
2014-02-12 16:56 Source_changeset_attached => framac stable/neon 35f176ba
+Issue History